Package ghidra.graph.viewer.layout

# Class JungLayoutProvider<V extends VisualVertex,E extends VisualEdge<V>,G extends JungDirectedVisualGraph<V,E>>

java.lang.Object
ghidra.graph.viewer.layout.AbstractLayoutProvider<V,E,G>
ghidra.graph.viewer.layout.JungLayoutProvider<V,E,G>

Type Parameters:
  `V` - the vertex type
  `E` - the edge type
  `G` - the graph type

All Implemented Interfaces:
  `LayoutProvider<V,E,G>`, `LayoutProviderExtensionPoint<V,E,G>`, `ExtensionPoint`

public abstract class JungLayoutProvider<V extends VisualVertex,E extends VisualEdge<V>,G extends JungDirectedVisualGraph<V,E>> extends AbstractLayoutProvider<V,E,G>
A layout provider that works on `JungDirectedVisualGraph`s. This class allows the Jung layouts to be used where `VisualGraph`s are used.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JungLayoutProvider()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected abstract edu.uci.ics.jung.algorithms.layout.Layout<V,E>`
  `createLayout(G g)`
  `Icon`
  `getActionIcon()`
  Returns an icon that can be used to show the provider a menu or toolbar.
  `VisualGraphLayout<V,E>`
  `getLayout(G g, TaskMonitor monitor)`
  Returns a new instance of the layout that this class provides

  ### Methods inherited from class ghidra.graph.viewer.layout.AbstractLayoutProvider

  `getPriorityLevel, initVertexLocations`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.graph.viewer.layout.LayoutProvider

  `getLayoutName`

- ## Constructor Details

  - ### JungLayoutProvider

    public JungLayoutProvider()

- ## Method Details

  - ### createLayout

    protected abstract edu.uci.ics.jung.algorithms.layout.Layout<V,E> createLayout(G g)

  - ### getLayout

    public VisualGraphLayout<V,E> getLayout(G g, TaskMonitor monitor) throws CancelledException
    Description copied from interface: `LayoutProvider`
    Returns a new instance of the layout that this class provides
    Parameters:
      `g` - the graph
      `monitor` - a task monitor
    Returns:
      the new layout
    Throws:
      `CancelledException` - if the monitor was cancelled

  - ### getActionIcon

    public Icon getActionIcon()
    Description copied from interface: `LayoutProvider`
    Returns an icon that can be used to show the provider a menu or toolbar. This may return null, as an icon is not a requirement.
    Specified by:
      `getActionIcon` in interface `LayoutProvider<V extends VisualVertex,E extends VisualEdge<V>,G extends JungDirectedVisualGraph<V,E>>`
    Overrides:
      `getActionIcon` in class `AbstractLayoutProvider<V extends VisualVertex,E extends VisualEdge<V>,G extends JungDirectedVisualGraph<V,E>>`
    Returns:
      an icon that can be used to show the provider a menu or toolbar